slice2php(1)

NAME
slice2php - The Slice to PHP compiler.

SYNOPSIS
slice2php [options] [files]

DESCRIPTION
slice2php compiles Slice files to PHP. Full documentation for slice2php is available online at:
https://doc.zeroc.com/ice/3.6/language-mappings/php-mapping/client-side-slice-to-php-mapping/slice2php-command-line-options

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--all
    Generate code for all Slice definitions, including those from included files.

-n, --namespace
    Generate code using PHP namespaces. Note that namespaces are only supported in PHP 5.3 or later. Also note that the Ice extension for PHP must be built with namespace support enabled.

--checksum CLASS
    Generate checksums for Slice definitions.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2java(1), slice2py(1), slice2rb(1)